<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.12) on Sat Jul 09 19:13:26 CEST 2022 -->
<title>Class Hierarchy</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-07-09">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="com/abn/recipe/recipeservice/package-tree.html">com.abn.recipe.recipeservice</a>, </li>
<li><a href="com/abn/recipe/recipeservice/controller/package-tree.html">com.abn.recipe.recipeservice.controller</a>, </li>
<li><a href="com/abn/recipe/recipeservice/dao/package-tree.html">com.abn.recipe.recipeservice.dao</a>, </li>
<li><a href="com/abn/recipe/recipeservice/dto/package-tree.html">com.abn.recipe.recipeservice.dto</a>, </li>
<li><a href="com/abn/recipe/recipeservice/entity/package-tree.html">com.abn.recipe.recipeservice.entity</a>, </li>
<li><a href="com/abn/recipe/recipeservice/exception/package-tree.html">com.abn.recipe.recipeservice.exception</a>, </li>
<li><a href="com/abn/recipe/recipeservice/integration/package-tree.html">com.abn.recipe.recipeservice.integration</a>, </li>
<li><a href="com/abn/recipe/recipeservice/service/package-tree.html">com.abn.recipe.recipeservice.service</a>, </li>
<li><a href="com/abn/recipe/recipeservice/transformer/package-tree.html">com.abn.recipe.recipeservice.transformer</a></li>
</ul>
</div>
<div class="contentContainer">
<section role="region">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/AbstractEntityServiceTest.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">AbstractEntityServiceTest</span></a>
<ul>
<li class="circle">com.abn.recipe.recipeservice.integration.<a href="com/abn/recipe/recipeservice/integration/RecipeSearchIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration"><span class="typeNameLink">RecipeSearchIntegrationTest</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/RecipeServiceImplTest.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">RecipeServiceImplTest</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.integration.<a href="com/abn/recipe/recipeservice/integration/RecipeServiceIntegrationTest.html" title="class in com.abn.recipe.recipeservice.integration"><span class="typeNameLink">RecipeServiceIntegrationTest</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/RecipeTransformerImplTest.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">RecipeTransformerImplTest</span></a></li>
</ul>
</li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/BaseEntityDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">BaseEntityDto</span></a> (implements java.io.Serializable)
<ul>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/IngredientsDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">IngredientsDto</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/RecipeDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">RecipeDto</span></a></li>
</ul>
</li>
<li class="circle">com.abn.recipe.recipeservice.entity.<a href="com/abn/recipe/recipeservice/entity/Ingredients.html" title="class in com.abn.recipe.recipeservice.entity"><span class="typeNameLink">Ingredients</span></a> (implements com.abn.recipe.recipeservice.entity.<a href="com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity">BaseEntity</a>)</li>
<li class="circle">com.abn.recipe.recipeservice.controller.<a href="com/abn/recipe/recipeservice/controller/IngredientsController.html" title="class in com.abn.recipe.recipeservice.controller"><span class="typeNameLink">IngredientsController</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/IngredientServiceImpl.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">IngredientServiceImpl</span></a> (implements com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/IngredientService.html" title="interface in com.abn.recipe.recipeservice.service">IngredientService</a>)</li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/PagedResultResponseDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">PagedResultResponseDto</span></a>&lt;E&gt; (implements java.io.Serializable)
<ul>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/RecipesPagedResponseDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">RecipesPagedResponseDto</span></a></li>
</ul>
</li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/PageRequestDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">PageRequestDto</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.entity.<a href="com/abn/recipe/recipeservice/entity/Recipe.html" title="class in com.abn.recipe.recipeservice.entity"><span class="typeNameLink">Recipe</span></a> (implements com.abn.recipe.recipeservice.entity.<a href="com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity">BaseEntity</a>)</li>
<li class="circle">com.abn.recipe.recipeservice.controller.<a href="com/abn/recipe/recipeservice/controller/RecipeController.html" title="class in com.abn.recipe.recipeservice.controller"><span class="typeNameLink">RecipeController</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/RecipeSearchRequestDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">RecipeSearchRequestDto</span></a> (implements java.io.Serializable)</li>
<li class="circle">com.abn.recipe.recipeservice.<a href="com/abn/recipe/recipeservice/RecipeServiceApplication.html" title="class in com.abn.recipe.recipeservice"><span class="typeNameLink">RecipeServiceApplication</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/RecipeServiceImpl.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">RecipeServiceImpl</span></a> (implements com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/RecipeService.html" title="interface in com.abn.recipe.recipeservice.service">RecipeService</a>)</li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/RecipeSpecificationBuilder.html" title="class in com.abn.recipe.recipeservice.service"><span class="typeNameLink">RecipeSpecificationBuilder</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.transformer.<a href="com/abn/recipe/recipeservice/transformer/RecipeTransformerImpl.html" title="class in com.abn.recipe.recipeservice.transformer"><span class="typeNameLink">RecipeTransformerImpl</span></a> (implements com.abn.recipe.recipeservice.transformer.<a href="com/abn/recipe/recipeservice/transformer/RecipeTransformer.html" title="interface in com.abn.recipe.recipeservice.transformer">RecipeTransformer</a>)</li>
<li class="circle">org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler
<ul>
<li class="circle">com.abn.recipe.recipeservice.controller.<a href="com/abn/recipe/recipeservice/controller/RestControllerExceptionHandlerAdvice.html" title="class in com.abn.recipe.recipeservice.controller"><span class="typeNameLink">RestControllerExceptionHandlerAdvice</span></a></li>
</ul>
</li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/ServiceResponseDto.html" title="class in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">ServiceResponseDto</span></a>&lt;T&gt; (implements java.io.Serializable)</li>
<li class="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li class="circle">java.lang.Exception
<ul>
<li class="circle">java.lang.RuntimeException
<ul>
<li class="circle">com.abn.recipe.recipeservice.exception.<a href="com/abn/recipe/recipeservice/exception/ValidationException.html" title="class in com.abn.recipe.recipeservice.exception"><span class="typeNameLink">ValidationException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">com.abn.recipe.recipeservice.transformer.<a href="com/abn/recipe/recipeservice/transformer/BaseDtoTransformer.html" title="interface in com.abn.recipe.recipeservice.transformer"><span class="typeNameLink">BaseDtoTransformer</span></a>&lt;D,&#8203;E&gt;
<ul>
<li class="circle">com.abn.recipe.recipeservice.transformer.<a href="com/abn/recipe/recipeservice/transformer/RecipeTransformer.html" title="interface in com.abn.recipe.recipeservice.transformer"><span class="typeNameLink">RecipeTransformer</span></a></li>
</ul>
</li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/IngredientService.html" title="interface in com.abn.recipe.recipeservice.service"><span class="typeNameLink">IngredientService</span></a></li>
<li class="circle">org.springframework.data.jpa.repository.JpaSpecificationExecutor&lt;T&gt;
<ul>
<li class="circle">com.abn.recipe.recipeservice.dao.<a href="com/abn/recipe/recipeservice/dao/RecipeRepository.html" title="interface in com.abn.recipe.recipeservice.dao"><span class="typeNameLink">RecipeRepository</span></a> (also extends org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt;)</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;)
<ul>
<li class="circle">com.abn.recipe.recipeservice.dao.<a href="com/abn/recipe/recipeservice/dao/IngredientsRepository.html" title="interface in com.abn.recipe.recipeservice.dao"><span class="typeNameLink">IngredientsRepository</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.dao.<a href="com/abn/recipe/recipeservice/dao/RecipeRepository.html" title="interface in com.abn.recipe.recipeservice.dao"><span class="typeNameLink">RecipeRepository</span></a> (also extends org.springframework.data.jpa.repository.JpaSpecificationExecutor&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
<li class="circle">com.abn.recipe.recipeservice.service.<a href="com/abn/recipe/recipeservice/service/RecipeService.html" title="interface in com.abn.recipe.recipeservice.service"><span class="typeNameLink">RecipeService</span></a></li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,&#8203;ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,&#8203;ID&gt; (also extends org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.abn.recipe.recipeservice.dao.<a href="com/abn/recipe/recipeservice/dao/IngredientsRepository.html" title="interface in com.abn.recipe.recipeservice.dao"><span class="typeNameLink">IngredientsRepository</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.dao.<a href="com/abn/recipe/recipeservice/dao/RecipeRepository.html" title="interface in com.abn.recipe.recipeservice.dao"><span class="typeNameLink">RecipeRepository</span></a> (also extends org.springframework.data.jpa.repository.JpaSpecificationExecutor&lt;T&gt;)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">java.io.Serializable
<ul>
<li class="circle">com.abn.recipe.recipeservice.entity.<a href="com/abn/recipe/recipeservice/entity/BaseEntity.html" title="interface in com.abn.recipe.recipeservice.entity"><span class="typeNameLink">BaseEntity</span></a></li>
</ul>
</li>
</ul>
</section>
<section role="region">
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li class="circle">java.lang.Object
<ul>
<li class="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li class="circle">com.abn.recipe.recipeservice.exception.<a href="com/abn/recipe/recipeservice/exception/ErrorType.html" title="enum in com.abn.recipe.recipeservice.exception"><span class="typeNameLink">ErrorType</span></a></li>
<li class="circle">com.abn.recipe.recipeservice.dto.<a href="com/abn/recipe/recipeservice/dto/ServiceResult.html" title="enum in com.abn.recipe.recipeservice.dto"><span class="typeNameLink">ServiceResult</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
